namespace IRaCIS.Core.Domain.Models;

[Comment("阅片任务答案")]
[Table("ReadingTaskQuestionAnswer")]
public class ReadingTaskQuestionAnswer : BaseAddAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("VisitTaskId")]
    public VisitTask VisitTask { get; set; }

    [JsonIgnore]
    [ForeignKey("ReadingQuestionTrialId")]
    public ReadingQuestionTrial ReadingQuestionTrial { get; set; }
    #endregion
    [Comment("项目问题Id")]
    public Guid ReadingQuestionTrialId { get; set; }

    [Comment("项目问题标准Id")]
    public Guid ReadingQuestionCriterionTrialId { get; set; }

    public Guid TrialId { get; set; }

    public Guid SubjectId { get; set; }

    public Guid VisitTaskId { get; set; }

    [Comment("答案")]
    [StringLength(1000)]
    public string Answer { get; set; } = string.Empty;

    [Comment("全局阅片修改的答案")]
    public string GlobalChangeAnswer { get; set; } = string.Empty;
    [Comment("全局阅片是否修改")]
    public bool IsGlobalChange { get; set; } = false;
}
